Bug 996230 - [abrt] WARNING: at kernel/workqueue.c:1365 __queue_work+0x29f/0x300()
[abrt] WARNING: at kernel/workqueue.c:1365 __queue_work+0x29f/0x300()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-realtek
Fedora Extras Quality Assurance
abrt_hash:680f605ee9b2b0b868b3e2697fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 13:36 EDT by Bobby
Modified: 2013-08-15 11:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 11:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (111.55 KB, text/plain)
2013-08-12 13:36 EDT, Bobby
no flags Details

  None (edit)
Description Bobby 2013-08-12 13:36:32 EDT
Additional info:
reporter:       libreport-2.1.5
WARNING: at kernel/workqueue.c:1365 __queue_work+0x29f/0x300()
Modules linked in: hidp ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter nf_defrag_ipv4 ip6_tables xt_conntrack nf_conntrack rfcomm bnep brcmsmac btusb bluetooth cordic iTCO_wdt brcmutil iTCO_vendor_support bcm5974 nls_utf8 hfsplus arc4 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media rtl8192cu rtlwifi applesmc input_polldev rtl8192c_common acpi_cpufreq mac80211 mperf snd_hda_codec_hdmi coretemp snd_hda_codec_cirrus cfg80211 microcode snd_hda_intel rfkill snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm i2c_i801 snd_page_alloc lpc_ich snd_timer mfd_core bcma snd soundcore apple_bl vhost_net tun macvtap macvlan kvm_intel kvm uinput binfmt_misc dm_crypt usb_storage i915 i2c_algo_bit drm_kms_helper crc32_pclmul crc32c_intel drm ghash_clmulni_intel i2c_core video
CPU: 3 PID: 422 Comm: kworker/3:2 Not tainted 3.10.4-100.fc18.x86_64 #1
Hardware name: Apple Inc. MacBookAir5,2/Mac-2E6FAB96566FE58C, BIOS MBA51.88Z.00EF.B02.1211271028 11/27/2012
Workqueue: rtl92c_usb rtl_watchdog_wq_callback [rtlwifi]
 0000000000000009 ffff88025f3e7cb8 ffffffff816606a8 ffff88025f3e7cf8
 ffffffff8105d660 ffff88026f2d4230 ffff88026f2d7a00 ffff88025fd19cf8
 0000000000000080 ffff880266808800 000000000000fb80 ffff88025f3e7d08
Call Trace:
 [<ffffffff816606a8>] dump_stack+0x19/0x1b
 [<ffffffff8105d660>] warn_slowpath_common+0x70/0xa0
 [<ffffffff8105d6aa>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8107af0f>] __queue_work+0x29f/0x300
 [<ffffffff8107afd5>] queue_work_on+0x45/0x50
 [<ffffffffa0409e50>] rtl_watchdog_wq_callback+0x2d0/0x3a0 [rtlwifi]
 [<ffffffff8107b52a>] process_one_work+0x17a/0x400
 [<ffffffff8107c98c>] worker_thread+0x11c/0x370
 [<ffffffff8107c870>] ? manage_workers.isra.21+0x2b0/0x2b0
 [<ffffffff81082a80>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? perf_trace_xen_mmu_flush_tlb_others+0xa0/0x110
 [<ffffffff810829c0>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8166ec6c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810829c0>] ? kthread_create_on_node+0x120/0x120

Potential duplicate: bug 989205
Comment 1 Bobby 2013-08-12 13:36:37 EDT
Created attachment 785814 [details]
File: dmesg
Comment 2 Larry Finger 2013-08-15 10:53:30 EDT
This bug was fixed in mainline commit bcfb879432094c267c35a7ff75d953d3a66c193a
entitled "rtlwifi: Initialize power-setting callback for USB devices".
Comment 3 Josh Boyer 2013-08-15 11:39:12 EDT
(In reply to Larry Finger from comment #2)
> This bug was fixed in mainline commit
> bcfb879432094c267c35a7ff75d953d3a66c193a
> entitled "rtlwifi: Initialize power-setting callback for USB devices".

Excellent!  Thanks for the pointer.  That commit was backported and released with 3.10.5, so we should be all set in Fedora land.

Bobby, if you're still seeing this with 3.10.5 or newer, please let us know.

Note You need to log in before you can comment on or make changes to this bug.